Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.TimeStampServer Class Reference
Inheritance diagram for com.foxit.sdk.pdf.TimeStampServer:

## Public Member Functions
| TimeStampServer (TimeStampServer other)
| Constructor, with another time stamp server object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
byte [] | getTimeStampMessage () throws com.foxit.sdk.PDFException
| Get time stamp message. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
int | sendTimeStampRequest (byte[] request) throws com.foxit.sdk.PDFException
| Send time stamp request. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_SendResultFailToConnect = 2
| Fail to connect during sending request process.
static final int | e_SendResultFailToCreateSocket = 1
| Fail to create socket during sending request process.
static final int | e_SendResultFailToGetData = 6
| Fail to get data during sending request process.
static final int | e_SendResultFailToReceiveData = 4
| Fail to receive data during sending request process.
static final int | e_SendResultFailToRequest = 5
| Fail to request during sending request process.
static final int | e_SendResultFailToSendData = 3
| Fail to send data during sending request process.
static final int | e_SendResultOutOfMemory = 7
| Out of memory during sending request process.
static final int | e_SendResultSuccess = 0
| Send request successfully.

## Detailed Description

This class represents time stamp server. It can be used to send time stamp request and then get the message.

## Constructor & Destructor Documentation

## ◆ TimeStampServer()

com.foxit.sdk.pdf.TimeStampServer.TimeStampServer | ( | TimeStampServer | other | ) |

Constructor, with another time stamp server object.

Parameters

  [in] | other | Another time stamp server object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.TimeStampServer.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getTimeStampMessage()

byte[] com.foxit.sdk.pdf.TimeStampServer.getTimeStampMessage | ( |  | ) | throws com.foxit.sdk.PDFException

Get time stamp message.

This function is to get the time stamp message after function TimeStampServer.sendTimeStampRequest runs successfully.

Returns
  Time stamp message.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.TimeStampServer.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ sendTimeStampRequest()

int com.foxit.sdk.pdf.TimeStampServer.sendTimeStampRequest | ( | byte [] | request | ) | throws com.foxit.sdk.PDFException

Send time stamp request.

Parameters

  [in] | request | Time stamp request to be sent. It should not be an empty string.

Returns
  Result value of the sending request process. Please refer to values starting from com.foxit.sdk.pdf.TimeStampServer.e_SendResultSuccess and this would be one of these values.